<!DOCTYPE html>
<html lang="en" ng-app="lt17Peserta">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Penawaran Peserta">
    <title>&{'lelang_lt.penawaran_peserta'}</title>
    <link rel="stylesheet" href="#{assets '/angular/bootstrap.min.css'/}" type="text/css" media="screen" />
    <link rel="stylesheet" href="#{assets '/angular/handsontable.min.css'/}" type="text/css">
    <link rel="stylesheet" href="#{assets '/angular/style.css'/}" type="text/css"/>
</head>
<body>

<div class="navbar navbar-default navbar-fixed-top" role="navigation" ng-controller="UserCtrl">
    <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">&{'lelang_lt.apendo_peserta2'}</a>
        </div>
        <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a id="user" href="#" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom">${namaLpse}</a></li>
                <li><a href="" ng-click="logout()">Logout</a></li>
            </ul>
        </div>
    </div>
</div>

<div class="container-fluid">
    <ul id="tabs" class="nav nav-tabs">
        <li>
          <a href="#surat" data-toggle="tab">&{'lelang_lt.surat_penawaran'}</a>
        </li>
        <li>
          <a href="#harga" data-toggle="tab">&{'lelang_lt.penawaran_harga'}</a>
        </li>
        <li>
          <a href="#kirim" data-toggle="tab">&{'lelang_lt.enkrip_dan_kirim'}</a>
        </li>
    </ul>

    <div class="tab-content">
        <div class="tab-pane" id="surat" ng-controller="SuratCtrl">
          <br />
          <div id="surat_penawaran">
			<p style="text-align: center; font-weight: bold;">${peserta?.rekanan?.rkn_nama}</p>
			<p>&nbsp;</p>
			<p style="text-align: justify;">&{'lelang_lt.perihal_penawaran'} ${paket?.pkt_nama}</p>
			<p style="text-align: justify; text-indent: 50px">&{'lelang_lt.pengumuman_tender'} <strong>${paket?.pkt_nama}</strong> &{'lelang_lt.penjelasan_penawaran3'} <a id="link_harga" href="#harga" onclick="tabHargaClick();" data-toggle="tab">&{'lelang_lt.penawaran_harga'}</a>.</p>
			<p style="text-align: justify; text-indent: 50px">&{'lelang_lt.penawaran_ini'}</p>
			<p style="text-align: justify; text-indent: 50px">&{'lelang_lt.penawaran_berlaku'} <input id="text_berlaku" type="text" ng-model="surat.berlaku" placeholder="surat.berlaku" style="width: 50px;"> &{'lelang_lt.penwaran_ini_berlaku2'} (${tglPenutupan?.formatDateTime()}).</p>
			<p style="text-align: justify; text-indent: 50px">&{'lelang_lt.dengan_disampaikannya'}</p>
	      </div>
	      <br />
          <button class="btn btn-default" ng-disabled="!dirty" ng-click="save()">&{'lelang_lt.simpan'}</button>
        </div>

        <div class="tab-pane" id="harga" ng-controller="HargaCtrl">
          <br />
          <table class="table table-condensed">
            <thead>
            	<th>&nbsp;</th>
            	<th>&nbsp;</th>
            </thead>
             <tbody>
              <tr><td width="200"><b>&{'lelang_lt.sub_total'}</b></td><td ng-bind="subtotal | currency:'Rp. '"></td></tr>
              <tr><td><b>&{'lelang_lt.pajak'}</b></td><td><input type="text" ng-model="pajak" placeholder="pajak" style="width: 50px;"/> %</td></tr>
              <tr><td><b>&{'lelang_lt.jml_pajak'}</b></td><td ng-bind="pajaktotal | currency:'Rp. '"></td></tr>
              <tr><td><b>&{'lelang_lt.total_pajak'}</b></td><td ng-bind="total | currency:'Rp. '"></td></tr>
             </tbody>
          </table>

          <div id="pricing-detail"></div>
          <br />
          <button ng-disabled="!dirty" class="btn btn-default" ng-click="save()">&{'lelang_lt.simpan'}</button>
      	</div>
      	
      	<div class="tab-pane" id="kirim" ng-controller="KirimCtrl">
          <br />
          <table class="table table-condensed">
            <thead>
            	<th>&nbsp;</th>
            	<th>&nbsp;</th>
            </thead>
             <tbody>
              <tr><td colspan="3"><b>&{'lelang_lt.status'}</b></td></tr>
              <tr><td>&nbsp;</td><td width="150"><b>&{'lelang_lt.surat_penawaran'}</b></td><td ng-bind="suratSimpan"></td></tr>
              <tr><td>&nbsp;</td><td><b>&{'lelang_lt.penawaran_harga'}</b></td><td ng-bind="hargaSimpan"></td></tr>
              <tr><td width="50"><b>&{'lelang_lt.info2'}</b></td><td colspan="2"></td></tr>
              <tr><td>&nbsp;</td><td ng-bind="info" colspan="2"></td></tr>
              <tr ng-show="sending"><td>&nbsp;</td><td colspan="2">
              	<span ng-repeat="progress in progresses">
					<span ng-bind="progress.name | envelopeName"></span>:&nbsp;<span ng-bind="progress.percent | percentName" ng-hide="progress.done"></span>&nbsp;<span class="label label-info" ng-show="progress.done && !progress.error">&{'lelang_lt.selesai'}</span>&nbsp;<span class="label label-danger" ng-show="progress.error">&{'lelang_lt.tdk_berhasil'}</span><br />
				</span>
                </td></tr>
                </tbody>
            </table>

		  <div>
			<button ng-disabled="!ready" class="btn btn-default" ng-click="encrypt()">&{'lelang_lt.enkripsi'}</button>
			<button ng-disabled="!encrypted" class="btn btn-default" ng-click="upload()">&{'lelang_lt.kirim'}</button>
		  </div>
		  
      	</div>
      	
    </div>

    <script type="text/javascript">

    	var user = {
    		psr_id : "${peserta?.psr_id}",
            name : "${peserta?.rekanan?.rkn_nama?.escapeJavaScript().raw()}",
            username : "${peserta?.rekanan?.rkn_namauser?.escapeJavaScript().raw()}",
            address : "${peserta?.rekanan?.rkn_alamat?.escapeJavaScript().raw()}",
            email : "${peserta?.rekanan?.rkn_email?.escapeJavaScript().raw()}"
    	}

    	var surat = {
			berlaku : ${berlaku}
    	}

      	var detailHarga = [
			#{set count:rincianList.size() /}
			#{list items:rincianList, as:'item'}
				{
	                "name": "${item?.item?.escapeJavaScript().raw()}",
	                "unit1": "${item?.unit?.escapeJavaScript().raw()}",
	                "volume1": "${item?.vol}",
	                "unit2": "${item?.unit2?.escapeJavaScript().raw()}",
	                "volume2": "${item?.vol2}",
	                "price": "",
	                "price_total":"",
	                "remark": "${item?.keterangan?.escapeJavaScript().raw()}",
	                "id": "${item_index}"
	       		 },
	        #{/list}
	  	]

    	var lls_id = '${lelang?.lls_id}';
    	var pajak = 10;
    	var rincianFixed = ${rincianFixed};
    	var token = '${access_token}';
    	var uploadUrl = '${uploadUrl}';
    	var pubKey = "${keyAll}";

    </script>
    <!-- deps -->
    <script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>
    <script type="text/javascript" src="#{assets '/lt17/pesertaExpress.js'/}"></script>
</body>
</html>